Mediation Package funktioniert nicht mit Version 3.5.0

Wie erweitere ich R um eigene Funktionen oder Pakete? Welches Paket ist passend für meine Fragestellung?

Moderatoren: EDi, jogo

Antworten
juppi
Beiträge: 11
Registriert: Di Mär 13, 2018 3:55 pm

Mediation Package funktioniert nicht mit Version 3.5.0

Beitrag von juppi » Do Jul 05, 2018 12:18 pm

Liebes Forum,

ich habe vor kurzem das Update für die Version R.3.5.0 installiert. Jetzt möchte ich gerne eine Mediationsanalyse nach Preacher & Hayes (2004) mit dem Package "mediation" berechnen. Wenn ich das Package versuche zu installieren kommt folgende Meldung.

Code: Alles auswählen

> install.packages("mediaton")
Installing package into ‘C:/Users/HendrikPC/Documents/R/win-library/3.5’
(as ‘lib’ is unspecified)
Warning in install.packages :
  package ‘mediaton’ is not available (for R version 3.5.0)
> library(mediation)
Error in library(mediation) : es gibt kein Paket namens ‘mediation’
Welche Version brauche ich für das Package und wie kann ich mein R reupdaten? Geht das oder muss ich einfach alles deinstallieren und dann die entsprechende alte Version neu installieren?

Für eine schnelle Hilfe wäre ich sehr dankbar! :) :) :) :) :) :) :)

jogo
Beiträge: 992
Registriert: Fr Okt 07, 2016 8:25 am

Re: Mediation Package funktioniert nicht mit Version 3.5.0

Beitrag von jogo » Do Jul 05, 2018 2:55 pm

Hallo juppi,

schau mal, ob hier Hilfe für Dich ist:
https://stackoverflow.com/questions/257 ... n-x-y-z-wa

Gruß, Jörg

Benutzeravatar
student
Beiträge: 224
Registriert: Fr Okt 07, 2016 9:52 am

Re: Mediation Package funktioniert nicht mit Version 3.5.0

Beitrag von student » So Jul 08, 2018 11:14 am

Hallo juppi,

wenn das Paket unbedingt notwendig ist und unter R 3.5.0 nicht angeboten wird, hilft vielleicht die MS Cran Time Machine weiter. Lade dann "einfach" eine ältere R-Version runter und führe Deine Analyse durch. Natürlich vorbehaltlich aller R-Versions-"Herausforderungen".
Viele Grüße,
Student
-----------------------------------------------------------------------------------------------------------------------
faes.de, r-statistik.de und das Ad-Oculos-Projekt

Habe Mut, dich deines eigenen Verstandes zu bedienen! (Kant)

ruedi_br
Beiträge: 12
Registriert: Do Mär 01, 2018 3:53 pm

Re: Mediation Package funktioniert nicht mit Version 3.5.0

Beitrag von ruedi_br » Fr Okt 19, 2018 1:06 pm

Könnte es ggf. am fehlenden "i" liegen:

Code: Alles auswählen

install.packages("mediaton")
package ‘mediaton’ is not available (for R version 3.5.0)
library(mediat>>i<<on)
??

Benutzeravatar
EDi
Beiträge: 666
Registriert: Sa Okt 08, 2016 3:39 pm

Re: Mediation Package funktioniert nicht mit Version 3.5.0

Beitrag von EDi » Fr Okt 19, 2018 1:33 pm

Bitte immer ein reproduzierbares Minimalbeispiel angeben. Meinungen gehören mir und geben nicht die meines Brötchengebers wieder.

Dieser Beitrag ist lizensiert unter einer CC BY 4.0 Lizenz
Bild.

Antworten

Wer ist online?

Mitglieder in diesem Forum: 0 Mitglieder und 1 Gast